<?php

/**
 * Carerix Wordpress Plugin
 *
 * @category template manager
 * @author Bogdan Ivanov
 * @copyright Copyright (c) 2013 Carerix.com (http://www.carerix.com)
 * @link http://www.carerix.com
 * @since Aug 26, 2013 11:36:11 AM
 * @version $Rev$
 */

/**
 * Settings class
 * Used to generate an WP administration tab to view a list of apply buffers/
 */
class Admin_Buffers_Apply extends WP_Page {

    protected $interfacer = null;

    public function __construct() {
        $this->interfacer = WP_Interfacer::getInstance();
    }

    public function getCapability() {
        return WP_Constants::CAPABILITY_ADMIN;
    }

    public function getMenuSlug() {
        return 'carerix_buffers_apply_page';
    }

    public function getMenuTitle() {
        return 'Apply Buffers';
    }

    public function getPageTitle() {
        return 'Apply Buffers';
    }

    public function page() {
        $input_data = filter_input_array(INPUT_GET, FILTER_SANITIZE_STRING);
        switch ($input_data['action']) {
            case 'delete':
                $this->deleteBuffer($input_data['id']);
            default:
                $this->listBuffers();
        }
    }

    private function deleteBuffer($buffer_id) {
        $buffersTable = Table_Buffer::get();
        $buffersTable->delete($buffer_id);
    }

    private function listBuffers() {


        $buffersTable = Table_Buffer::get();
        $buffers = $buffersTable->getAll();

        foreach ($buffers as &$buffer) {
            $buffer['view_link'] = $this->getBufferViewLink($buffer['id']);
            $buffer['delete_link'] = $this->getBufferDeleteLink($buffer['id']);
        }

        $data = array(
            'buffers' => $buffers,
        );

        $template = new Utils_Template('admin/buffers/apply');
        $template->with($data)->display();
    }

    private function createActionLink($action_name) {
        return 'admin.php?page=' . $this->getParentTab()->getMenuSlug() .
                '&tab=' . $this->getMenuSlug() .
                '&action=' . $action_name;
    }

    private function getBufferViewLink($buffer_id) {
        return $this->createActionLink('view') . '&id=' . $buffer_id;
    }

    private function getBufferDeleteLink($buffer_id) {
        return $this->createActionLink('delete') . '&id=' . $buffer_id;
    }

}
